package com.ssj.service.conch.teacher.request.teacherorg;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

/**
 * @author yrf
 * @date 2019/3/1 16:33
 */
public class SubjectLearningSituationReq extends BaseRequest {

    private static final long serialVersionUID = -7079271958182499853L;

    @ApiModelProperty(name = "vipId", value = "学生id", required = true)
    @NotBlank
    private String vipId;

    @ApiModelProperty(name = "subject", value = "学科", required = true)
    @NotBlank
    private String subject;

    @ApiModelProperty(name = "grade", value = "年级（如：一年级）", required = true)
    private String grade;

    @ApiModelProperty(name = "semester", value = "学期（1：上学期，2：下学期）", required = true)
    private Integer semester;

    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public Integer getSemester() {
        return semester;
    }

    public void setSemester(Integer semester) {
        this.semester = semester;
    }
}
